- 异步处理模式,返回任务ID用于后续查询
- 支持文生视频、图生视频、首尾帧生视频
- 支持 540p / 720p / 1080p 分辨率
- 时长范围 1-16 秒,默认开启音频直出
请求示例
bash
curl --request POST \
--url https://api.openveer.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "viduq3-pro",
"prompt": "一只猫在弹钢琴,镜头缓缓拉近",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}'
```python
import requests
url = "https://api.openveer.com/v1/videos/generations"
payload = {
"model": "viduq3-pro",
"prompt": "一只猫在弹钢琴,镜头缓缓拉近",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}
headers = {
"Authorization": "Bearer
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
```
```javascript
const url = "https://api.openveer.com/v1/videos/generations";
const payload = {
model: "viduq3-pro",
prompt: "一只猫在弹钢琴,镜头缓缓拉近",
duration: 8,
resolution: "1080p",
aspect_ratio: "16:9"
};
const headers = {
"Authorization": "Bearer
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
```
```go
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://api.openveer.com/v1/videos/generations"
payload := map[string]interface{}{
"model": "viduq3-pro",
"prompt": "一只猫在弹钢琴,镜头缓缓拉近",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
```
```java
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.openveer.com/v1/videos/generations";
String payload = """
{
"model": "viduq3-pro",
"prompt": "一只猫在弹钢琴,镜头缓缓拉近",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
```
```php
"viduq3-pro",
"prompt" => "一只猫在弹钢琴,镜头缓缓拉近",
"duration" => 8,
"resolution" => "1080p",
"aspect_ratio" => "16:9"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer
```
```ruby
require 'net/http'
require 'json'
require 'uri'
url = URI("https://api.openveer.com/v1/videos/generations")
payload = {
model: "viduq3-pro",
prompt: "一只猫在弹钢琴,镜头缓缓拉近",
duration: 8,
resolution: "1080p",
aspect_ratio: "16:9"
}
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
```
```swift
import Foundation
let url = URL(string: "https://api.openveer.com/v1/videos/generations")!
let payload: [String: Any] = [
"model": "viduq3-pro",
"prompt": "一只猫在弹钢琴,镜头缓缓拉近",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: (error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
```
```csharp
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://api.openveer.com/v1/videos/generations";
var payload = @"{
""model"": ""viduq3-pro"",
""prompt"": ""一只猫在弹钢琴,镜头缓缓拉近"",
""duration"": 8,
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
```
响应示例
json
{
"code": 200,
"data": [
{
"status": "submitted",
"task_id": "task_xxxxxxxxxx"
}
]
}
json
{
"error": {
"code": 400,
"message": "请求参数无效",
"type": "invalid_request_error"
}
}
json
{
"error": {
"code": 401,
"message": "身份验证失败,请检查您的API密钥",
"type": "authentication_error"
}
}
json
{
"error": {
"code": 402,
"message": "账户余额不足,请充值后再试",
"type": "payment_required"
}
}
json
{
"error": {
"code": 429,
"message": "请求过于频繁,请稍后再试",
"type": "rate_limit_error"
}
}
json
{
"error": {
"code": 500,
"message": "服务器内部错误,请稍后重试",
"type": "server_error"
}
}
认证
Authorization string请求参数
model stringprompt stringduration integerresolution stringaspect_ratio stringimage_urls stringaudio booleanseed integer自动路由规则
系统根据 image_urls 的图片数量自动判断生成模式:
| 图片数 | 模式 | 说明 |
|---|---|---|
| 0 张(不传) | 文生视频 | 纯文本描述生成 |
| 1 张 | 图生视频 | 以该图为起始画面 |
| 2 张 | 首尾帧生视频 | 第一张=首帧,第二张=尾帧 |
参数支持矩阵
| 参数 | 文生视频 | 图生视频 | 首尾帧 |
|---|---|---|---|
model |
✅ 必填 | ✅ 必填 | ✅ 必填 |
prompt |
✅ 必填 | 选填 | 选填 |
image_urls |
- | ✅ 1张 | ✅ 2张 |
duration |
✅ 1-16秒 | ✅ 1-16秒 | ✅ 1-16秒 |
resolution |
✅ | ✅ | ✅ |
aspect_ratio |
✅ | - | - |
audio |
✅ | ✅ | ✅ |
seed |
✅ | ✅ | ✅ |
响应
code integerdata arraytask_id string使用场景
场景 1:文生视频
{
"model": "viduq3-pro",
"prompt": "一只猫在弹钢琴,镜头缓缓拉近",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}
场景 2:图生视频(单张图片)
{
"model": "viduq3-pro",
"prompt": "人物缓缓转身微笑",
"image_urls": ["https://example.com/photo.jpg"],
"duration": 5,
"resolution": "720p"
}
场景 3:首尾帧生视频
{
"model": "viduq3-pro",
"prompt": "人物从站立缓缓坐下",
"image_urls": [
"https://example.com/first.jpg",
"https://example.com/last.jpg"
],
"duration": 8
}
场景 4:关闭音频(静音视频)
{
"model": "viduq3-pro",
"prompt": "日落海景延时摄影",
"duration": 10,
"resolution": "1080p",
"audio": false
}